Bug 27442 - gcj segfaults on invalid code (related to 8923?)
Summary: gcj segfaults on invalid code (related to 8923?)
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: java (show other bugs)
Version: 4.1.1
: P3 normal
Target Milestone: 4.3.0
Assignee: Not yet assigned to anyone
URL:
Keywords: ice-on-invalid-code
: 31622 (view as bug list)
Depends on: 28067
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-05 10:25 UTC by Dennis Brakhane
Modified: 2007-04-19 02:27 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2006-05-29 22:22:45


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Brakhane 2006-05-05 10:25:53 UTC
I'm not sure if this relates to Bug #8923, so I created a new bug report.

The following code causes gij to segfault:
class Bug
{
   public void bug()
     {
        int x;
        System.out.println((x << 1).toString()); // <segfault here
     }

}
Comment 1 Andrew Pinski 2006-05-29 22:22:45 UTC
Confirmed.
Comment 2 Tom Tromey 2007-01-09 20:48:37 UTC
All gcj front end bugs have been fixed by the gcj-eclipse branch merge.
I'm mass-closing the affected PRs.
If you believe one of these was closed in error, please reopen it
with a note explaining why.
Thanks.
Comment 3 Andrew Pinski 2007-04-19 02:27:12 UTC
*** Bug 31622 has been marked as a duplicate of this bug. ***